(* Elaborate a Core Language Declaration, dec *)
(*
$File: Common/ELABDEC.sml $
$Date: 1991/08/30 15:10:26 $
$Revision: 1.6 $
$Locker:  $
*)
(*$ELABDEC*)

signature ELABDEC =
sig
  type Context and Env and Type

  type PreElabDec and PostElabDec
  type PreElabTy  and PostElabTy
  type PreElabAx  and PostElabAx

  val elab_dec   : Context * PreElabDec -> Env  * PostElabDec
  and elab_ty    : Context * PreElabTy  -> Type * PostElabTy
  and elab_axiom : Context * PreElabAx  -> Env  * PostElabAx
end;
