(* Interpreter *)

(*
$File: Common/INTERPRETER.sml $
$Date: 1992/01/29 15:01:04 $
$Revision: 1.11 $
$Locker:  $
*)

(*$INTERPRETER*)
signature INTERPRETER =
  sig
    datatype Mode = PARSE_ONLY | ELABORATE_ONLY | EVALUATE

(* PVADD *)
(**)type basis
(**)val current_basis:basis ref

    val interpretStdIn: Mode -> unit -> unit
    val interpretFile: Mode -> string -> unit
    val interpretString: Mode -> string -> unit
  end;
