(* Type names - Definition v3 page 16 *)

(*
$File: Common/TYNAME.sml $
$Date: 1991/11/08 13:19:15 $
$Revision: 1.9 $
$Locker:  $
*)

(*$TYNAME*)
signature TYNAME =
  sig 
    eqtype TyName

    val tyName_INT     : TyName
    and tyName_STRING  : TyName
    and tyName_REAL    : TyName
    and tyName_EXN     : TyName
    and tyName_REF     : TyName

    type tycon

    val arity    : TyName -> int
    and equality : TyName -> bool
    and name     : TyName -> tycon

    val freshTyName : {name : tycon, arity : int, equality : bool} -> TyName

    val pr_TyName : TyName -> string
  end;
